Download it now!
Bug 115627 - Checkboxes and radio buttons are cropped in the menu (with KDE and Oxygen widgets)
Summary: Checkboxes and radio buttons are cropped in the menu (with KDE and Oxygen wid...
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.1.0.3 release
Hardware: All Linux (All)
: low minor
Assignee: Not Assigned
URL:
Whiteboard: needsKDE kde4
Keywords:
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2018-02-11 10:19 UTC by Buovjaga
Modified: 2019-03-30 08:58 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot with Breeze widget style (20.67 KB, image/png)
2018-02-11 16:54 UTC, hamelg
Details
qtdiag (4.82 KB, text/plain)
2018-02-11 16:58 UTC, hamelg
Details
Screenshot showing Breeze widgets working fine (76.84 KB, image/png)
2018-02-11 17:06 UTC, Buovjaga
Details
Screenshot showing Breeze has the issue. (35.75 KB, image/png)
2018-02-11 17:30 UTC, hamelg
Details
Screenshot showing oxygen widgets working fine (46.70 KB, image/png)
2018-02-11 17:32 UTC, hamelg
Details
Same issue using Breeze desktop and Oxygen widget theme (185.64 KB, image/png)
2018-02-24 12:25 UTC, Franklin Weng
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Buovjaga 2018-02-11 10:19:11 UTC
Split from bug 97721
See attachment 131232 [details]
Comment 1 hamelg 2018-02-11 16:54:05 UTC
Created attachment 139790 [details]
screenshot with Breeze widget style
Comment 2 hamelg 2018-02-11 16:57:02 UTC
This issue is not related to the selected theme, but the widget style you use. You can change it with the system setting application >> Application Style >> Widget Style. There is the issue with the default Widgets style : breeze. Others are not affected, see the attachments.
I tested with a fresh kde profile with theses version :
plasma 5.12.0
qt 5.10
libreoffice 5.4.5
see the qtdiag output in attachments.
Comment 3 hamelg 2018-02-11 16:58:08 UTC
Created attachment 139791 [details]
qtdiag
Comment 4 Buovjaga 2018-02-11 17:02:33 UTC
(In reply to hamelg from comment #1)
> Created attachment 139790 [details]
> screenshot with Breeze widget style

This is Oxygen widget style, not breeze
Comment 5 Buovjaga 2018-02-11 17:06:05 UTC
Created attachment 139793 [details]
Screenshot showing Breeze widgets working fine

Arch Linux 64-bit
Version: 6.1.0.0.alpha0+
Build ID: c6a23023150c164a19236139fa413d43006ce21c
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on February 11th 2018
Comment 6 hamelg 2018-02-11 17:29:14 UTC
No, I have the issue whatever the theme and only with the breeze widget selected.
But we don't use the same version, you v6, me v5.
Comment 7 hamelg 2018-02-11 17:30:49 UTC
Created attachment 139794 [details]
Screenshot showing Breeze has the issue.
Comment 8 hamelg 2018-02-11 17:32:45 UTC
Created attachment 139795 [details]
Screenshot showing oxygen widgets working fine
Comment 9 hamelg 2018-02-11 17:50:21 UTC
I have just tested with v6, I still have the issue.
Me too, i use archlinux. So, there is something on my system which trigger this cosmetic bug. It is not a libreoffice bug.
Could you add a new user and test with a fresh kde profile to confirm ?
Comment 10 Buovjaga 2018-02-12 09:27:57 UTC
(In reply to hamelg from comment #9)
> I have just tested with v6, I still have the issue.
> Me too, i use archlinux. So, there is something on my system which trigger
> this cosmetic bug. It is not a libreoffice bug.
> Could you add a new user and test with a fresh kde profile to confirm ?

I asked my mom to test as she has a newer install (from May 2017) and she did not see the problem in Breeze or Oxygen.
Then I tried renaming my /home/user/.config/kdeglobals to kdeglobals.old so it reset the look settings, but unfortunately it did not help. I noticed that I had to change the whole theme to Oxygen to get the Oxygen widgets - it did not work while having Breeze theme + Oxygen widgets.

Should install a fresh virtual machine, but I don't have time now.
Comment 11 hamelg 2018-02-12 21:18:44 UTC
thanks Buovjaga.
Your screenshot "Screenshot showing Breeze widgets working fine" looks like with GTK+ theme integration. I get the same look if I set the env variable SAL_USE_VCLPLUGIN=gtk3.
see here :
https://wiki.archlinux.org/index.php/LibreOffice#Theme
Could you test with SAL_USE_VCLPLUGIN not set or SAL_USE_VCLPLUGIN=kde4, you should get the same look like my screenshot "Screenshot showing Breeze has the issue".
Comment 12 Buovjaga 2018-02-13 08:15:25 UTC
(In reply to hamelg from comment #11)
> thanks Buovjaga.
> Your screenshot "Screenshot showing Breeze widgets working fine" looks like
> with GTK+ theme integration. I get the same look if I set the env variable
> SAL_USE_VCLPLUGIN=gtk3.
> see here :
> https://wiki.archlinux.org/index.php/LibreOffice#Theme
> Could you test with SAL_USE_VCLPLUGIN not set or SAL_USE_VCLPLUGIN=kde4, you
> should get the same look like my screenshot "Screenshot showing Breeze has
> the issue".

No, gtk3 integration was not enabled, but the default kde4
Comment 13 Franklin Weng 2018-02-24 12:25:16 UTC
Created attachment 140110 [details]
Same issue using Breeze desktop and Oxygen widget theme

I got the same issue on Kubuntu 16.04.  Desktop theme is Breeze and Widget theme set to Oxygen.  The radio button from the menu would become broken.

Other KDE applications would not have this problem.
Comment 14 Michael Weghorn 2019-03-28 22:47:38 UTC
Is this still relevant with the new kde5 VCL plugin?
At a quick glance, it looks OK for me, but I didn't check any other themes/widget styles.
Comment 15 Buovjaga 2019-03-29 08:31:43 UTC
(In reply to Michael Weghorn from comment #14)
> Is this still relevant with the new kde5 VCL plugin?
> At a quick glance, it looks OK for me, but I didn't check any other
> themes/widget styles.

No problem for me with Oxygen theme.

I will wait for the experience of hamelg and Franklin before closing.

Arch Linux 64-bit
Version: 6.3.0.0.alpha0+
Build ID: 9c5d33e3c9e4a680af61a9e7af8fa73d08b33834
CPU threads: 8; OS: Linux 5.0; UI render: default; VCL: kde5; 
Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US
Calc: threaded
Built on 28 March 2019
Comment 16 hamelg 2019-03-29 23:02:49 UTC
I confirm what Buovjaga said.
The new kde5 VCL plugin has fixed this issue whatever the widget theme in use.
Thanks.

Version: 6.1.5.2
Build ID: 6.1.5-3
CPU threads: 2; OS: Linux 5.0; UI render: default; VCL: gtk3_kde5; 
Locale: fr-FR (en_US.UTF-8); Calc: threaded
Comment 17 Buovjaga 2019-03-30 08:20:20 UTC
(In reply to hamelg from comment #16)
> I confirm what Buovjaga said.
> The new kde5 VCL plugin has fixed this issue whatever the widget theme in
> use.
> Thanks.
> 
> Version: 6.1.5.2
> Build ID: 6.1.5-3
> CPU threads: 2; OS: Linux 5.0; UI render: default; VCL: gtk3_kde5; 
> Locale: fr-FR (en_US.UTF-8); Calc: threaded

You are not using the new kde5 plugin, though. You are using gtk3_kde5, which only affects the file dialogs.
Comment 18 Franklin Weng 2019-03-30 08:43:31 UTC
I see it fixed in

版本:6.2.2.2
組建 ID:2b840030fec2aae0fd2658d8d4f9548af4e3518d
CPU 執行緒:2; OS:Linux 4.15; UI 算繪:預設; VCL: kde5; 
語言地區:zh-TW (zh_TW.UTF-8); UI語言:zh-TW
Calc: threaded

Running on Kubuntu 18.04.

Also looks good in

版本:6.2.2.2
組建 ID:2b840030fec2aae0fd2658d8d4f9548af4e3518d
CPU 執行緒:4; OS:Linux 4.19; UI 算繪:預設; VCL: kde4; 
語言地區:zh-TW (zh_TW.UTF-8); UI語言:zh-TW
Calc: threaded

Running on Debian Stretch.